/*!
 * Copyright (c) 2019 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 */
import { GenericResponse, HttpRequester } from '@eclipse-ditto/ditto-javascript-client-api_1.0';
export declare class FetchRequester implements HttpRequester {
    doRequest(method: string, url: string, header: Map<string, string>, body: string): Promise<GenericResponse>;
    /**
     * Builds a Request object to perform a fetch request with.
     *
     * @param method - The type of action to perform.
     * @param url - The Url to send the request to.
     * @param header - The headers of the request.
     * @param body - The payload to send with the request.
     * @return the builder.
     */
    private prepareRequest;
}
//# sourceMappingURL=fetch-http.d.ts.map